QGIS Application - Bug report #16614
Version 2.18.8 python loading vector layers - cannot name vector layer
2017-05-24 06:59 PM - Holly Brown

Status: Closed

Priority: High

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.18.8 Regression?: Yes
Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24514
Description

To load a vector layer to the map canvas and layers panel | have been using this command:

layer = iface.addVectorLayer("/path/to/shapefile/file.shp", "layer name you like", "ogr")

With the recent QGIS update, | am able to properly load vector layers to the map canvas, but the naming scheme automatically sets to an
undesired output in the layers panel:

"layer name you like" "file name" "Geometry type"

Example:

Nomenclature NP_Nomenclature Point

Simply renaming the layer works just fine, but | would like a functionality where | can load and name the layer at one time.

Thanks!

Holly

Related issues:

Related to QGIS Application - Bug report # 16598: Adding PostGIS layers from ... Closed 2017-05-22
Related to QGIS Application - Bug report # 15510: layers naming inconsitencies Closed 2016-09-01
History

#1 - 2017-05-24 07:07 PM - Jiirgen Fischer

- Resolution deleted (wontfix)

#2 - 2017-05-24 07:08 PM - Jiirgen Fischer

- Crashes QGIS or corrupts data changed from Yes to No

#3 - 2017-05-24 07:08 PM - Jiirgen Fischer
- Related to Bug report #16598: Adding PostGIS layers from the browser or DB-Manager crashes QGIS (mini-dump) added

#4 - 2017-05-24 07:12 PM - Jiirgen Fischer

- Related to Bug report #15510: layers naming inconsitencies added

#5 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
